Mail archive
alpine-aports

[alpine-aports] [PATCH] Adding Googles Logging Library

From: Michael Venezia <mvenezia_at_gmail.com>
Date: Tue, 01 Sep 2015 19:32:09 +0000

---
 main/google-glog/APKBUILD | 44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)
 create mode 100644 main/google-glog/APKBUILD
diff --git a/main/google-glog/APKBUILD b/main/google-glog/APKBUILD
new file mode 100644
index 0000000..4d77107
--- /dev/null
+++ b/main/google-glog/APKBUILD
_at_@ -0,0 +1,44 @@
+# Contributor: Michael Venezia
+# Maintainer: Michael Venezia
+pkgname=google-glog
+pkgver=0.3.4
+pkgrel=0
+pkgdesc="Logging library for C++"
+url="https://github.com/google/glog"
+arch="x86_64"
+license="custom:BSD3"
+depends=""
+depends_dev="make gcc"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="glog-$pkgver.tar.gz::https://github.com/google/glog/archive/v$pkgver.tar.gz"
+
+_builddir=
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$srcdir/glog-${pkgver}"
+	./configure --prefix=/usr
+	make
+}
+
+package() {
+	cd "$_builddir"
+  cd "$srcdir/glog-${pkgver}"
+  make DESTDIR="$pkgdir" install
+
+	find "$pkgdir" -name '*.la' -delete
+}
+
+md5sums="df92e05c9d02504fb96674bc776a41cb  glog-0.3.4.tar.gz"
+sha256sums="ce99d58dce74458f7656a68935d7a0c048fa7b4626566a71b7f4e545920ceb10  glog-0.3.4.tar.gz"
+sha512sums="139525b546a9eccacc9bebf7cc3053ba52229e9488485ad45344c3d3134ca819d3b571250c0e3a6d84097009c8be89b0f4fa16ef5ec838ffcc237ae11c3a034c  glog-0.3.4.tar.gz"
-- 
2.4.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Sep 01 2015 - 19:32:09 GMT